<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_rowm&lt; M &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__rowm.html">op_rowm</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__rowm-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_rowm&lt; M &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a9f3bbb9c6f156f1928468884484d1ba2"><td class="memItemLeft" align="right" valign="top"><a id="a9f3bbb9c6f156f1928468884484d1ba2"></a>
typedef M::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a9f3bbb9c6f156f1928468884484d1ba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4feddf789261d0feabb06c6c3ca3ebd6"><td class="memItemLeft" align="right" valign="top"><a id="a4feddf789261d0feabb06c6c3ca3ebd6"></a>
typedef M::const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a4feddf789261d0feabb06c6c3ca3ebd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfd0959e0bf5d7f70ed3ed6419466df6"><td class="memItemLeft" align="right" valign="top"><a id="adfd0959e0bf5d7f70ed3ed6419466df6"></a>
typedef M::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:adfd0959e0bf5d7f70ed3ed6419466df6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a109e26aa8fb47ae5b6654c14b3f5e6a0"><td class="memItemLeft" align="right" valign="top"><a id="a109e26aa8fb47ae5b6654c14b3f5e6a0"></a>
typedef M::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a109e26aa8fb47ae5b6654c14b3f5e6a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8a2582cdd182d31b4aa4d0afe995d1fe"><td class="memItemLeft" align="right" valign="top"><a id="a8a2582cdd182d31b4aa4d0afe995d1fe"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_rowm</b> (const M &amp;m_, const long &amp;row_)</td></tr>
<tr class="separator:a8a2582cdd182d31b4aa4d0afe995d1fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae75e0c6980f8566638d280f6125cc74a"><td class="memItemLeft" align="right" valign="top"><a id="ae75e0c6980f8566638d280f6125cc74a"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long, long c) const</td></tr>
<tr class="separator:ae75e0c6980f8566638d280f6125cc74a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e5649ddf6e88224abae22326515cd3"><td class="memItemLeft" align="right" valign="top"><a id="a99e5649ddf6e88224abae22326515cd3"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a99e5649ddf6e88224abae22326515cd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cc340c286af59554320604a5dacadc1"><td class="memItemLeft" align="right" valign="top"><a id="a8cc340c286af59554320604a5dacadc1"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a8cc340c286af59554320604a5dacadc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aade63632b3882906c1b0ae7568ce0f7c"><td class="memTemplParams" colspan="2"><a id="aade63632b3882906c1b0ae7568ce0f7c"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:aade63632b3882906c1b0ae7568ce0f7c"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:aade63632b3882906c1b0ae7568ce0f7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53e30712802da0350082d58f4c3ea9aa"><td class="memTemplParams" colspan="2"><a id="a53e30712802da0350082d58f4c3ea9aa"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a53e30712802da0350082d58f4c3ea9aa"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a53e30712802da0350082d58f4c3ea9aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af255f6027327153447cf3051a0e2c0be"><td class="memItemLeft" align="right" valign="top"><a id="af255f6027327153447cf3051a0e2c0be"></a>
const M &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:af255f6027327153447cf3051a0e2c0be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7364fdff616ab85a6e84ac11b43b047"><td class="memItemLeft" align="right" valign="top"><a id="ae7364fdff616ab85a6e84ac11b43b047"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>row</b></td></tr>
<tr class="separator:ae7364fdff616ab85a6e84ac11b43b047"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a7429d43ebaf9c7b3b7dafa7cf93af1c3"><td class="memItemLeft" align="right" valign="top"><a id="a7429d43ebaf9c7b3b7dafa7cf93af1c3"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M::cost</td></tr>
<tr class="separator:a7429d43ebaf9c7b3b7dafa7cf93af1c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a198a53094343bc2ad3ee5a3b1c2e1a7d"><td class="memItemLeft" align="right" valign="top"><a id="a198a53094343bc2ad3ee5a3b1c2e1a7d"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = 1</td></tr>
<tr class="separator:a198a53094343bc2ad3ee5a3b1c2e1a7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc54ee021e8c7524804817313bea3e3b"><td class="memItemLeft" align="right" valign="top"><a id="adc54ee021e8c7524804817313bea3e3b"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = M::NC</td></tr>
<tr class="separator:adc54ee021e8c7524804817313bea3e3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__subexp_8h_source.html">matrix_subexp.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
